Subject: Re: [PATCH net] mlxsw: __mlxsw_sp_port_headroom_set(): Fix a use of local variable

From: Ido Schimmel <[email-masked]>
Date: Tue, 19 Feb 2019 09:30:31 +0000

On Sun, Feb 17, 2019 at 10:14:40AM -0800, David Miller wrote:
> From: Ido Schimmel <[email-masked]>
> Date: Sun, 17 Feb 2019 07:18:41 +0000
> 
> > From: Petr Machata <[email-masked]>
> > 
> > The function-local variable "delay" enters the loop interpreted as delay
> > in bits. However, inside the loop it gets overwritten by the result of
> > mlxsw_sp_pg_buf_delay_get(), and thus leaves the loop as quantity in
> > cells. Thus on second and further loop iterations, the headroom for a
> > given priority is configured with a wrong size.
> > 
> > Fix by introducing a loop-local variable, delay_cells. Rename thres to
> > thres_cells for consistency.
> > 
> > Fixes: f417f04da589 ("mlxsw: spectrum: Refactor port buffer configuration")
> > Signed-off-by: Petr Machata <[email-masked]>
> > Acked-by: Jiri Pirko <[email-masked]>
> > Signed-off-by: Ido Schimmel <[email-masked]>
> 
> Applied and queued up for -stable, thanks Ido.

Hi David,

We have a series for net-next that adds support for Spectrum-2 shared
buffers and it depends on this patch. I was wondering if you could merge
net into net-next today or later this week, so that we could submit it.

Normally I would just wait for the merge to happen, but it looks like
this is going to be the last week to submit changes and I prefer not to
miss the window while waiting for the inevitable merge.

Thanks and sorry about the noise.